Bug 1109154 - [RFE] Support live migration with XBZRLE page delta compression
Summary: [RFE] Support live migration with XBZRLE page delta compression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Betak
QA Contact: Israel Pinto
URL: http://www.ovirt.org/Features/XBZRLE_...
Whiteboard:
Depends On: 823143 1151001
Blocks: 1255223
TreeView+ depends on / blocked
 
Reported: 2014-06-13 11:05 UTC by Michal Skrivanek
Modified: 2016-03-09 20:47 UTC (History)
10 users (show)

Fixed In Version: ovirt-3-6-0-2
Doc Type: Release Note
Doc Text:
QEMU capabilities for auto-convergence and/or Xor Binary Zero Run-Length-Encoding (XBZRLE) can be used to reduce virtual machine downtime and improve convergence during migration. This is supported by hierarchical configuration in 3 levels: global (engine-config), cluster, and virtual machine.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:47:10 UTC
oVirt Team: Virt
sherold: Triaged+
ylavi: testing_beta_priority+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 32132 None None None Never
oVirt gerrit 32495 master MERGED frontend: Add support for auto-convergence and XBZRLE compression Never

Description Michal Skrivanek 2014-06-13 11:05:15 UTC
EL7 QEMU has this nice compression option to reduce the amount of data needed to be transferred during the live migration in certain workloads
let's use it!

some additional statistics should be added as part of bug 918410

Comment 2 Francesco Romani 2014-06-13 11:10:37 UTC
taking the bug

Comment 3 Scott Herold 2014-06-13 13:56:02 UTC
It looks like this has a dependency for RHEL 7 correct?

Comment 4 Michal Skrivanek 2014-06-13 14:02:07 UTC
yes. On the bright side on 7.0 and not 7.1 like most of the other things:-)

Comment 6 Israel Pinto 2015-10-07 15:05:48 UTC
Verify with version : 
RHEVM: 3.6 build: rhevm-3.6.0-0.18.master.el6.noarch
VDSM:vdsm-4.17.8-1.el7ev
libvirt: libvirt-1.2.17-5.el7

1. Performance test pass see comment 5
2. Functionality test check with last build (rhevm-3.6.0-0.18)

Comment 8 errata-xmlrpc 2016-03-09 20:47:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.